#pragma once
#ifndef __BATTERY_H
#define __BATTERY_H
#include "config_ADBMS6830.h"
#include "stm32h7xx_hal.h"

#include <stdint.h>
#include <stddef.h>
extern uint16_t min_voltage;
extern int16_t max_temp;
extern int16_t cellTemps[N_BMS][N_CELLS];

HAL_StatusTypeDef battery_init(SPI_HandleTypeDef* hspi);
HAL_StatusTypeDef battery_update();
void print_battery_info();

#endif // __BATTERY_H